VMWare Server on kernel 2.6.27-2-generic: cannot compile vmmon module

Bug #263837 reported by Richard Corner on 2008-09-02
88
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

I have recently upgraded the kernel of Ubuntu Hardy (8.04) to the latest Intrepid kernel (2.6.27-2-generic). VMWare Server stopped running as a result of this. I tried to reconfigure VMWare Server by means of

sudo /usr/bin/vmware-config.pl

First this complained that I had the wrong version of gcc (4.2 instead of 4.3). So I installed the package gcc-4.3 and changed the /usr/bin/gcc symbolic link to point to 4.3 instead of 4.2:

lrwxrwxrwx 1 root root 7 2008-09-01 22:11 /usr/bin/gcc -> gcc-4.3

Next it complained that there was a missing header file asm/semaphore.h. So I created the following symbolic link:

/usr/src/linux-headers-2.6.27-2-generic/include/asm/semaphore.h -> /usr/src/linux-headers-2.6.27-2/include/linux/semaphore.h

I tried reconfiguring VMWare by means of sudo /usr/bin/vmware-config.pl, and I also tried reinstalling VMWare completely. In both cases here is what happens:

Trying to find a suitable vmmon module for your running kernel.

None of the pre-built vmmon modules for VMware Server is suitable for your
running kernel. Do you want this program to try to build the vmmon module for
your system (you need to have a C compiler installed on your system)? [yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.27-2-generic/build/include]

Extracting the sources of the vmmon module.

Building the vmmon module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config3/vmmon-only'
make -C /lib/modules/2.6.27-2-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.27-2-generic'
  CC [M] /tmp/vmware-config3/vmmon-only/linux/driver.o
In file included from /tmp/vmware-config3/vmmon-only/./include/machine.h:24,
                 from /tmp/vmware-config3/vmmon-only/linux/driver.h:15,
                 from /tmp/vmware-config3/vmmon-only/linux/driver.c:49:
/tmp/vmware-config3/vmmon-only/./include/x86.h:830:1: warning: "PTE_PFN_MASK" redefined
In file included from include/asm/paravirt.h:7,
                 from include/asm/irqflags.h:55,
                 from include/linux/irqflags.h:57,
                 from include/asm/system.h:11,
                 from include/asm/processor.h:17,
                 from include/linux/prefetch.h:14,
                 from include/linux/list.h:6,
                 from include/linux/module.h:9,
                 from /tmp/vmware-config3/vmmon-only/linux/driver.c:12:
include/asm/page.h:22:1: warning: this is the location of the previous definition
/tmp/vmware-config3/vmmon-only/linux/driver.c:146: error: unknown field ‘nopage’ specified in initializer
/tmp/vmware-config3/vmmon-only/linux/driver.c:147: warning: initialization from incompatible pointer type
/tmp/vmware-config3/vmmon-only/linux/driver.c:150: error: unknown field ‘nopage’ specified in initializer
/tmp/vmware-config3/vmmon-only/linux/driver.c:151: warning: initialization from incompatible pointer type
/tmp/vmware-config3/vmmon-only/linux/driver.c: In function ‘LinuxDriver_Ioctl’:
/tmp/vmware-config3/vmmon-only/linux/driver.c:1670: error: too many arguments to function ‘smp_call_function’
make[2]: *** [/tmp/vmware-config3/vmmon-only/linux/driver.o] Error 1
make[1]: *** [_module_/tmp/vmware-config3/vmmon-only] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.27-2-generic'
make: *** [vmmon.ko] Error 2
make: Leaving directory `/tmp/vmware-config3/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".

Execution aborted.

Richard Corner (rcorner) wrote :

Attaching the offending file from VMWare, in the hopes that it gives someone an idea what's going on.

Richard Corner (rcorner) on 2008-09-02
description: updated
John Reames (jwreames) wrote :

That module uses "kernel_thread", which was deprecated and marked for removal around 2.6.23/2.6.24. It was finally pulled in 2.6.27. (Check <kernel source>/Documentation/feature-removal-schedule)

The challenge is that kthread uses task handles and kernel_thread uses process id's. It looks like PIDs may not be guaranteed to be globally unique with namespaces(?).

PID's seem to be used as a return values within the module, so that would need to be changed.

Richard Corner (rcorner) wrote :
Download full text (4.7 KiB)

Just to save anyone else the trouble of trying this: I saw the discussion of problems with VMWare and the 2.6.26 kernel at the following page:

http://www.nowhere.dk/archives/2008/07/23/vmware_workstation_6_0_4_on_ubuntu_intrepid_ibex_kernel_2_6_26/index.php

(See also:
http://communities.vmware.com/thread/154066;jsessionid=B873F35D2FF24AAF3D0CBE6F0CD5FB0C?tstart=0 )

So just as an experiment I downloaded the three updated modules mentioned:

http://www.nowhere.dk/files/vm/vmmon.tar
http://www.nowhere.dk/files/vm/vmblock.tar
http://www.nowhere.dk/files/vm/vmnet.tar

and I attempted to rerun vmware-config.pl. This gave some new errors:

richard@blackbox:~/Desktop$ sudo /usr/bin/vmware-config.pl
Making sure services for VMware Server are stopped.

Stopping VMware services:
   Virtual machine monitor done
   Bridged networking on /dev/vmnet0 done
   DHCP server on /dev/vmnet1 done
   Host-only networking on /dev/vmnet1 done
   DHCP server on /dev/vmnet8 done
   NAT service on /dev/vmnet8 done
   Host-only networking on /dev/vmnet8 done
   Virtual ethernet done

Configuring fallback GTK+ 2.4 libraries.

In which directory do you want to install the mime type icons?
[/usr/share/icons]

What directory contains your desktop menu entry files? These files have a
.desktop file extension. [/usr/share/applications]

In which directory do you want to install the application's icon?
[/usr/share/pixmaps]

/usr/share/applications/vmware-server.desktop: warning: value "vmware-server.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path
/usr/share/applications/vmware-console-uri-handler.desktop: warning: value "vmware-server.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path
Trying to find a suitable vmmon module for your running kernel.

None of the pre-built vmmon modules for VMware Server is suitable for your
running kernel. Do you want this program to try to build the vmmon module for
your system (you need to have a C compiler installed on your system)? [yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.27-2-generic/build/include]

Extracting the sources of the vmmon module.

Building the vmmon module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config0/vmmon-only'
make -C /lib/modules/2.6.27-2-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.27-2-generic'
  CC [M] /tmp/vmware-config0/vmmon-only/linux/driver.o
In file included f...

Read more...

Mahdi (mahdi-hates-spam) wrote :

Same here.
2.6.26-x works fine though.
On 2.6.27-x, both 2.0beta anda 1.0.x fail to build.
The only relevant change on 2.6.27 seems to be the kernel_thread one.

I have the same problem.

I think that Vmware is way behind and needs to fix this one.

Are there any other virtual machines we can use to run windows under linux?

On Intrepid, I cannot go back to the previous kernel, my soft raid, /dev/md0 doesn't seem to work, and that is my main filesystem.

John Reames (jwreames) wrote :

Heres a patch that seems to *HELP*. It has NO guarantees (and even less support).

It might be useful for the *real* kernel module hackers...

wilbur.harvey (wilbur-harvey) wrote :

Just tried vmware server 2 rc2 with the new 2.6.27-3 kernel. Same problem.
I think that this is an important problem, but I think that it is VMware's problem, not the kernel.

Brian Murray (brian-murray) wrote :

It is indeed VMware's problem and should be raised with them.

John Reames:

How do you apply your patch correctly?

DiscoDancer (discodancer-free) wrote :

I've experienced the same problem trying to get VMWare to work with Ubuntu Intrepid (now using kernel 2.6.27). I'd be very interested in knowing if the patch above works.
For Wilbur Harvey : I've gotten the Virtualbox 2.0.2 ( http://www.virtualbox.org/ )that just came out and corrected some "Intrepid" issues to work just fine - Best of all, it's free! The only issue I'm facing with Virtualbox is that the workarounds to get the USB ports to work in the previous Ubuntu versions don't seem to apply to the upcoming Intrepid version....

Kabelsalat (kabelsalat) wrote :

I was trying to run vmware player using the intrepid 2.6.27-3 kernel. The patch above seemed to work. Was able to patch vmnet myself, however vmblock service crashed system on startup.

Now I found a fully functional solution. In a chinese ubuntu forum I found patched modules that work for me. Here's the link: http://translate.google.de/translate?u=http%3A%2F%2Fforum.ubuntu.org.cn%2Fviewtopic.php%3Fp%3D913873%26sid%3D8b8d9aa85dd0ccd8ff0f4708d37d6dfd&sl=zh-CN&tl=en&hl=de&ie=UTF-8

James Ward (jamesward) wrote :

The modules posted on the Chinese Ubuntu forum do NOT work with VMWare Workstation 6.5. They compile but are mismatched with the VMWare version.

Johnny Levai (digistyl3) wrote :

I compiled the modules using those files from the link above, but I can't use the keyboard in the guest machine :|

Kabelsalat (kabelsalat) wrote :

Did I mention that my arrow-keys are not working inside the guest machine? The rest of the keyboard is working fine...

Joshua Fallaw (jfallaw) wrote :

Wilbur Harvey I had the same problems, and it is a VMware problem. You can try the open source program VirtualBox OSE- it works fine for me in Intrepid. sudo apt-get virtualbox

The recently released final version of VMware Server 2 works fine with the 2.6.27-4 kernel on my Ubuntu Intrepid (64-Bit)

Jonas Pedersen (jonasped) wrote :

And I can confirm that the recently released version of VMWare Workstation 6.5 (VMware-Workstation-6.5.0-118166.x86_64.bundle) is working on my 2.6.27-4 64-bit kernel on Intrepid.

Noel J. Bergman (noeljb) wrote :

I likewise confirm that the recent actual RELEASE (as opposed to the early beta code) of VMware Workstation 6.5 works out of box with Intrepid Ibex 2.6.27-4.

Joshua Fallaw (jfallaw) wrote :

I'm glad to hear that- I'm honestly becoming less and less pleased with vbox so far- the way you have to set a fixed amount of memory for the virtual machine is giving me grief...

Mahdi (mahdi-hates-spam) wrote :

Latest VMWare-server 2.0 beta works fine with latest intrepid!
:)

DiscoDancer (discodancer-free) wrote :

Kabelsalat, I'm experiencing the same problem with the keyboard arrow keys (and the Alt-Gr found on French keyboards) not working. They don't even work when I boot straight to the bios so I think there may be something wrong with either VMware or the current intrepid keyboard mapping. I'm using VMware 6.5.0 and the latest intrepid with a french keyboard.
Anyone else experience this and/or have found work-arounds? All the Alt-Gr keys (@ etc.) don't work for me...

Noel J. Bergman (noeljb) wrote :

The keyboard issues are almost certainly related to Bug 195982. The released version of VMware 6.5 should have the appropriate xkeymap.keycode entries in /etc/vmware/config.

In any event, the discussion belonggs on the VMware Forums.

Fabian A. Scherschel (fabsh) wrote :

I can reproduce this bug while trying to compile VMware Workstation on Intrepid.

Fabian A. Scherschel (fabsh) wrote :

While I can see the point about this being VMware's problem, is there any other reason for this bug to still be set as "New"? This is quite a crucial piece of software for a lot of people, shouldn't we try to track this down?

Same problem here.

$ uname -a
Linux ubuntu 2.6.27-7-generic #1 SMP Tue Oct 14 18:40:44 UTC 2008 i686 GNU/Linux

VMware-server, version: 1.0.7

Andrea Gardoni (agardoni) wrote :

Same problem here, no way to get out.

Download full text (4.3 KiB)

No need to confirm a confirmed bug :-)

On 10/16/08, Andrea Gardoni <email address hidden> wrote:
> Same problem here, no way to get out.
>
> --
> VMWare Server on kernel 2.6.27-2-generic: cannot compile vmmon module
> https://bugs.launchpad.net/bugs/263837
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> I have recently upgraded the kernel of Ubuntu Hardy (8.04) to the latest
> Intrepid kernel (2.6.27-2-generic). VMWare Server stopped running as a
> result of this. I tried to reconfigure VMWare Server by means of
>
> sudo /usr/bin/vmware-config.pl
>
> First this complained that I had the wrong version of gcc (4.2 instead of
> 4.3). So I installed the package gcc-4.3 and changed the /usr/bin/gcc
> symbolic link to point to 4.3 instead of 4.2:
>
> lrwxrwxrwx 1 root root 7 2008-09-01 22:11 /usr/bin/gcc -> gcc-4.3
>
> Next it complained that there was a missing header file asm/semaphore.h. So
> I created the following symbolic link:
>
> /usr/src/linux-headers-2.6.27-2-generic/include/asm/semaphore.h ->
> /usr/src/linux-headers-2.6.27-2/include/linux/semaphore.h
>
> I tried reconfiguring VMWare by means of sudo /usr/bin/vmware-config.pl, and
> I also tried reinstalling VMWare completely. In both cases here is what
> happens:
>
> Trying to find a suitable vmmon module for your running kernel.
>
> None of the pre-built vmmon modules for VMware Server is suitable for your
> running kernel. Do you want this program to try to build the vmmon module
> for
> your system (you need to have a C compiler installed on your system)? [yes]
>
> Using compiler "/usr/bin/gcc". Use environment variable CC to override.
>
> What is the location of the directory of C header files that match your
> running
> kernel? [/lib/modules/2.6.27-2-generic/build/include]
>
> Extracting the sources of the vmmon module.
>
> Building the vmmon module.
>
> Using 2.6.x kernel build system.
> make: Entering directory `/tmp/vmware-config3/vmmon-only'
> make -C /lib/modules/2.6.27-2-generic/build/include/.. SUBDIRS=$PWD
> SRCROOT=$PWD/. modules
> make[1]: Entering directory `/usr/src/linux-headers-2.6.27-2-generic'
> CC [M] /tmp/vmware-config3/vmmon-only/linux/driver.o
> In file included from /tmp/vmware-config3/vmmon-only/./include/machine.h:24,
> from /tmp/vmware-config3/vmmon-only/linux/driver.h:15,
> from /tmp/vmware-config3/vmmon-only/linux/driver.c:49:
> /tmp/vmware-config3/vmmon-only/./include/x86.h:830:1: warning:
> "PTE_PFN_MASK" redefined
> In file included from include/asm/paravirt.h:7,
> from include/asm/irqflags.h:55,
> from include/linux/irqflags.h:57,
> from include/asm/system.h:11,
> from include/asm/processor.h:17,
> from include/linux/prefetch.h:14,
> from include/linux/list.h:6,
> from include/linux/module.h:9,
> from /tmp/vmware-config3/vmmon-only/linux/driver.c:12:
> include/asm/page.h:22:1: warning: this is the location of the previous
> definition
> /tmp/vmware-config3/vmmon-only/linux/driver.c:146: erro...

Read more...

MD (sessorbsed) wrote :

Same as DiscoDancer, I have a french keyboard on Intrepid 2.6.27-7-generic, using vmware server 2.0, and arrows, Altgr and delete key do not work, nor do the insert, home, end, page up and page down keys. After some tests, printscreen doesn't work as well.

I can't do "@" and "\" signs, which is really annoying as you may understand :)

GSMD (gsmdib) wrote :

Any chances to get vmware server 1.0.7 working on 2.6.27?

Johnny Levai (digistyl3) wrote :
Download full text (4.4 KiB)

I found a workaround for this:
http://nthrbldyblg.blogspot.com/2008/06/vmware-and-fubar-keyboard-effect.html

On Sun, Oct 19, 2008 at 7:25 PM, GSMD <email address hidden> wrote:

> Any chances to get vmware server 1.0.7 working on 2.6.27?
>
> --
> VMWare Server on kernel 2.6.27-2-generic: cannot compile vmmon module
> https://bugs.launchpad.net/bugs/263837
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> I have recently upgraded the kernel of Ubuntu Hardy (8.04) to the latest
> Intrepid kernel (2.6.27-2-generic). VMWare Server stopped running as a
> result of this. I tried to reconfigure VMWare Server by means of
>
> sudo /usr/bin/vmware-config.pl
>
> First this complained that I had the wrong version of gcc (4.2 instead of
> 4.3). So I installed the package gcc-4.3 and changed the /usr/bin/gcc
> symbolic link to point to 4.3 instead of 4.2:
>
> lrwxrwxrwx 1 root root 7 2008-09-01 22:11 /usr/bin/gcc -> gcc-4.3
>
> Next it complained that there was a missing header file asm/semaphore.h. So
> I created the following symbolic link:
>
> /usr/src/linux-headers-2.6.27-2-generic/include/asm/semaphore.h ->
> /usr/src/linux-headers-2.6.27-2/include/linux/semaphore.h
>
> I tried reconfiguring VMWare by means of sudo /usr/bin/vmware-config.pl,
> and I also tried reinstalling VMWare completely. In both cases here is what
> happens:
>
> Trying to find a suitable vmmon module for your running kernel.
>
> None of the pre-built vmmon modules for VMware Server is suitable for your
> running kernel. Do you want this program to try to build the vmmon module
> for
> your system (you need to have a C compiler installed on your system)? [yes]
>
> Using compiler "/usr/bin/gcc". Use environment variable CC to override.
>
> What is the location of the directory of C header files that match your
> running
> kernel? [/lib/modules/2.6.27-2-generic/build/include]
>
> Extracting the sources of the vmmon module.
>
> Building the vmmon module.
>
> Using 2.6.x kernel build system.
> make: Entering directory `/tmp/vmware-config3/vmmon-only'
> make -C /lib/modules/2.6.27-2-generic/build/include/.. SUBDIRS=$PWD
> SRCROOT=$PWD/. modules
> make[1]: Entering directory `/usr/src/linux-headers-2.6.27-2-generic'
> CC [M] /tmp/vmware-config3/vmmon-only/linux/driver.o
> In file included from
> /tmp/vmware-config3/vmmon-only/./include/machine.h:24,
> from /tmp/vmware-config3/vmmon-only/linux/driver.h:15,
> from /tmp/vmware-config3/vmmon-only/linux/driver.c:49:
> /tmp/vmware-config3/vmmon-only/./include/x86.h:830:1: warning:
> "PTE_PFN_MASK" redefined
> In file included from include/asm/paravirt.h:7,
> from include/asm/irqflags.h:55,
> from include/linux/irqflags.h:57,
> from include/asm/system.h:11,
> from include/asm/processor.h:17,
> from include/linux/prefetch.h:14,
> from include/linux/list.h:6,
> from include/linux/module.h:9,
> from /tmp/vmware-config3/vmmon-only/linux/driver.c:12:
> include/asm/page.h:22:1: warning: this is the loca...

Read more...

kang (dump-tzib) wrote :

here's the patch for vmware 5.5.x if anyone needs (same stuff fixed but uses a different vmware interface)

http://www.insecure.ws/2008/10/20/vmware-specific-specific-55x-and-kernel-2627

Nigel Pallett (nigelp) wrote :

I just applied kang's patch to my Ubuntu 8.10 (Intrepid beta) system, running kernel 2.6.27-7-generic, and I now have vmware-server 1.0.7 build-108231 installed and running succesfully.

kang - Thank you for the patch - it is much appreciated.

Andrea Gardoni (agardoni) wrote :

All is working now in my ubuntu 8.10. Thanks for the link.

Yeah, kang's patch works fine on *buntu 8.10 using the 2.6.27-7-generic kernel and vmware server 1.0.7.

Basically, download the vmware server, install it, but don't configure it yet.

Then download the patch by kang, extract it and run the runme.pl as sudo. It will replace the "faulty" modules and then start the server configuration :)

Thx

James Lincoln (theworldinblue) wrote :

Works for me too now. Thanks kang for the link and hyper_ch for the walkthrough.

kang (dump-tzib) wrote :

Ops, there's a bug that rarely trigger (only with windows guest, while starting java it seems). it kills your vmware session and the vmmon module crashes with a NULL pointer error.

its fixed in the new archive at http://www.insecure.ws/2008/10/20/vmware-specific-specific-55x-and-kernel-2627

make sure you update, if this happens to you, you need to reboot before you can use vmware again or even update the module.

note that the above vmmon.tar linked from the chinese page apparently suffer from the same problem.

Kang's solution worked for me as well, though I had to put it into /usr/lib/vmware/config instead of the suggested ~./vmware/config.

Can we make any final conclusion about workarounds for bugs mentioned above? I see there are two different bugs: first related to compiling kernel modules for vmware and second related to keyboard keys not working in vmware console.

I'd be very grateful.

scananza (scananza) wrote :

about the modules patches, the link is 404 now, can anyone please post the vmmod.tar etc. here for everybody to download?

thanx

ribico (gabriele-ribichini) wrote :

I all,
I was having the same problem you mention building the vmmon module on Intrepid kernel 2.6.27-7-generic
Then I downloaded VMware-Player-2.5.0-118166x86_64.rpm alias package
Since Intrepid cannot manage rpms, I installed alias from synaptic

I created vmware-player_2.5.0-118167_amd64.deb package using the command
> sudo alias --scripts VMware-Player-2.5.0-118166x86_64.rpm
(we need --scripts option to convert also installation scripts)

Unistalled kvm (otherwise wmplayer won't install properly)

and finally installed the package vmware-player_2.5.0-118167_amd64.deb using GDebi (doubleclick)

It seems to work fine.
I hope it helps.

WooSung (email-woosung) wrote :
Download full text (6.1 KiB)

I've same problem, but I'm just newbie for ubuntu, so this is the only way to do something, report error message while running vmware-install.pl
-----------------------------
A previous installation of VMware Workstation has been detected.

The previous installation was made by the tar installer (version 4).

Keeping the tar4 installer database format.

Uninstalling the tar installation of VMware Workstation.

Stopping VMware services:
   Virtual machine monitor done

The removal of VMware Workstation 6.0.4 build-93057 for Linux completed
successfully. Thank you for having tried this software.

Installing VMware Workstation.

In which directory do you want to install the binary files?
[/usr/bin]

What is the directory that contains the init directories (rc0.d/ to rc6.d/)?
[/etc]

What is the directory that contains the init scripts?
[/etc/init.d]

In which directory do you want to install the daemon files?
[/usr/sbin]

In which directory do you want to install the library files?
[/usr/lib/vmware]

The path "/usr/lib/vmware" does not exist currently. This program is going to
create it, including needed parent directories. Is this what you want?
[yes]

In which directory do you want to install the manual files?
[/usr/share/man]
In which directory do you want to install the documentation files?
[/usr/share/doc/vmware]

The path "/usr/share/doc/vmware" does not exist currently. This program is
going to create it, including needed parent directories. Is this what you want?
[yes]

The installation of VMware Workstation 6.0.4 build-93057 for Linux completed
successfully. You can decide to remove this software from your system at any
time by invoking the following command: "/usr/bin/vmware-uninstall.pl".

Before running VMware Workstation for the first time, you need to configure it
by invoking the following command: "/usr/bin/vmware-config.pl". Do you want
this program to invoke the command for you now? [yes]

Making sure services for VMware Workstation are stopped.

Stopping VMware services:
   Virtual machine monitor done

Configuring fallback GTK+ 2.4 libraries.

In which directory do you want to install the theme icons?
[/usr/share/icons]

What directory contains your desktop menu entry files? These files have a
.desktop file extension. [/usr/share/applications]

In which directory do you want to install the application's icon?
[/usr/share/pixmaps]

Trying to find a suitable vmmon module for your running kernel.

None of the pre-built vmmon modules for VMware Workstation is suitable for your
running kernel. Do you want this program to try to build the vmmon module for
your system (you need to have a C compiler installed on your system)? [yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.
                                                      ^[[A^[[B^[[B^[[B^[[Basdfadsf

The path "asdfadsf" is not an existing directory.

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.27-7-generic/build/include] /lib/modules/2.6.27.7-generic/build/include/lin...

Read more...

Noel J. Bergman (noeljb) wrote :

Would someone please mark this as invalid? This is not a kernel bug. People encountering it should be contacting VMware for updated code, or workarounds if they chose to continue using old code.

Johnathon (kirrus) wrote :

Thanks for the report! This isn't a bug in Ubuntu, but rather a bug in VMWare. Can you please report it with them. Feel free to report further bugs if you see something going wrong...

A note for anyone who reached this page by googling a compilation error:

The problem was present in player 2.0.4 (build 93057); it's apparently fixed in 2.5.1 (build 126130). So, if you get this, the problem is easily fixed by upgrading your VMware Player.

Paul van Genderen (paulvg) wrote :

I Googled my way here too and I want to add that with kernel 2.6.38, the minimal supported version is 3.1.4 build-385536. Older versions can be installed but fail to compile the kernel modules. On 2.6.32, the minimal version that should work is 3.0.1.

Old virtual machines are *not* carried over, you need to open then manually.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers